Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Interface ModuleDescriptor

All Known Implementing Classes:
  DefaultModuleDescriptor

public interface ModuleDescriptor

Author:
  x.hanin

Field Summary
`static java.lang.String` | `DEFAULT_CONFIGURATION`

Method Summary
`boolean` | `dependsOn(ModuleDescriptor md)` Returns true if the module described by this descriptor dependes directly upon the given module descriptor
`Artifact[]` | `getArtifacts(java.lang.String conf)`
`Configuration` | `getConfiguration(java.lang.String confName)`
`Configuration[]` | `getConfigurations()` Returns all the configurations declared by this module as an array.
`java.lang.String[]` | `getConfigurationsNames()`
`ConflictManager` | `getConflictManager(ModuleId id)` Returns the conflict manager to use for the given ModuleId
`DependencyDescriptor[]` | `getDependencies()`
`java.lang.String` | `getHomePage()`
`long` | `getLastModified()`
`License[]` | `getLicenses()` Returns the licenses of the module described by this descriptor
`ModuleRevisionId` | `getModuleRevisionId()`
`java.util.Date` | `getPublicationDate()` may be null if unknown in the descriptor itself
`java.lang.String[]` | `getPublicConfigurationsNames()`
`ModuleRevisionId` | `getResolvedModuleRevisionId()` The module revision id returned here is the resolved one, i.e. it is never a latest one.
`java.util.Date` | `getResolvedPublicationDate()` the publication date of the module revision should be the date at which it has been published, i.e. in general the date of any of its published artifacts, since all published artifact of a module should follow the same publishing cycle.
`java.lang.String` | `getStatus()`
`boolean` | `isDefault()` Returns true if this descriptor is a default one, i.e.
`void` | `setResolvedModuleRevisionId(ModuleRevisionId revId)` This method update the resolved module revision id
`void` | `setResolvedPublicationDate(java.util.Date publicationDate)` This method update the resolved publication date

Field Detail

### DEFAULT_CONFIGURATION

    public static final java.lang.String DEFAULT_CONFIGURATION

See Also:
  Constant Field Values

Method Detail

### isDefault

    public boolean isDefault()

  Returns true if this descriptor is a default one, i.e. one generated for a module not actually having one.

  Returns:

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

### getResolvedModuleRevisionId

    public ModuleRevisionId getResolvedModuleRevisionId()

  The module revision id returned here is the resolved one, i.e. it is never a latest one. If the revision has not been resolved, a null revision should be returned by getRevision() of the returned ModuleRevisionId. This revision must be the same as the module descriptor resolved revision id unless no module descriptor is defined

  Returns:

### setResolvedModuleRevisionId

    public void setResolvedModuleRevisionId(ModuleRevisionId revId)

  This method update the resolved module revision id

  Parameters:
    `revId` -

### setResolvedPublicationDate

    public void setResolvedPublicationDate(java.util.Date publicationDate)

  This method update the resolved publication date

  Parameters:
    `publicationDate` -

### getStatus

    public java.lang.String getStatus()

### getPublicationDate

    public java.util.Date getPublicationDate()

  may be null if unknown in the descriptor itself

  Returns:

### getResolvedPublicationDate

    public java.util.Date getResolvedPublicationDate()

  the publication date of the module revision should be the date at which it has been published, i.e. in general the date of any of its published artifacts, since all published artifact of a module should follow the same publishing cycle.

### getConfigurations

    public Configuration[] getConfigurations()

  Returns all the configurations declared by this module as an array. This array is never empty (a 'default' conf is assumed when none is declared in the ivy file)

  Returns:
    all the configurations declared by this module as an array.

### getConfigurationsNames

    public java.lang.String[] getConfigurationsNames()

### getPublicConfigurationsNames

    public java.lang.String[] getPublicConfigurationsNames()

### getArtifacts

    public Artifact[] getArtifacts(java.lang.String conf)

### getDependencies

    public DependencyDescriptor[] getDependencies()

### dependsOn

    public boolean dependsOn(ModuleDescriptor md)

  Returns true if the module described by this descriptor dependes directly upon the given module descriptor

  Parameters:
    `md` -
  Returns:

### getConfiguration

    public Configuration getConfiguration(java.lang.String confName)

  Parameters:
    `confName` -
  Returns:

### getConflictManager

    public ConflictManager getConflictManager(ModuleId id)

  Returns the conflict manager to use for the given ModuleId

  Parameters:
    `id` -
  Returns:

### getLicenses

    public License[] getLicenses()

  Returns the licenses of the module described by this descriptor

  Returns:

### getHomePage

    public java.lang.String getHomePage()

### getLastModified

    public long getLastModified()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD